def p(a,b):
    """renvoie la probabilité de victoire de A à partir de l'état [a,b] dans le problème historique des partis à 3 manches gagnantes"""
    if a == 3:
        return 1
    elif b == 3:
        return 0
    else:
        return 0.5*p(a+1, b)+0.5*p(a, b+1)

def partis(nb_manches_gagnantes,a,b):
    """renvoie la probabilité de victoire de A à partir de l'état [a,b] dans le problème historique des partis"""
    if a == nb_manches_gagnantes:
        return 1
    elif b == nb_manches_gagnantes:
        return 0
    else:
        return 0.5 * partis(nb_manches_gagnantes, a+1, b) + 0.5 * partis(nb_manches_gagnantes, a, b+1)

def montant_partis(pot,nb_manches_gagnantes,a,b):
    """renvoie la répartition de la somme en cas d'arrêt du jeu à l'état [a,b] pour un nombre nb_manches_gagnantes de victoires à atteindre"""
    montant_a = pot * partis(nb_manches_gagnantes,a,b)
    montant_b = pot - montant_a
    return (montant_a, montant_b)