import random
lancer = random.randint(1,6)

### Partie 1  : approche de la simulation avec le lancer de deux dés
def lancer_un_de():
    """simule le lancer d'un dé"""
    lancer = random.randint(1,6)
    return lancer

def lancer_deux_des():
    """simule le lancer de deux dés et renvoie la somme des faces"""
    lancer = random.randint(1,6) + random.randint(1,6)
    return lancer

def frequence_deux_des(issue, nb_tirages):
    """calcule la fréquence d'une issue dans un échantillon de taille nb_tirages"""
    effectif_issue = 0 # cette variable va compter le nombre de fois où l'issue apparaît
    for i in range(nb_tirages): # boucle Pour qui répète nb_tirages fois les mêmes instructions
        tirage = None # on lance les dés
        if None :
            effectif_issue = None
    frequence_issue = None
    return None

### Partie 2 : construction du jeu equitable

def partie():
    """simulation du lancer de chaque dé avec victoire pour A si la somme est paire, pour B si la somme est impaire"""
    lancer_A = random.randint(1,6)
    lancer_B = random.randint(1,6)
    somme = lancer_A + lancer_B
    if somme % 2 == 0:
        return "A"
    else:
        return "B"

def test_equite(nb_tirages):
    """calcule la fréquence de victoires de A et de B dans un échantillon de taille nb_tirages"""
    victoires_A = 0 # compteur de victoires de A
    victoires_B = 0 # compteur de victoires de B
    for simu in range(nb_tirages): # boucle pour répéter la simulation
        jeu = None # appel de la fonction partie()
        if None: # si le jeu mène à une victoire de A
            victoires_A = None # le compteur de victoires de A augmente de 1
        else: # si le jeu mène à une victoire de B
            victoires_B = None # le compteur de victoires de B augmente de 1
    return (None, None) # renvoie la fréquence de victoires pour chaque joueur

### Partie 3 : simulation de la fin d'un jeu

def deroule_jeu():
    """renvoie les possibilités de jeux lorsqu'il manque une victoire à A et 3 victoires à B"""
    lancer = None # nouvelle partie
    if None:
        return None # A a gagné la partie qu'il lui manquait et il a gagné le jeu [8,5]
    else: # B a gagné la partie et il lui manque 2 victoires et 1 pour A [7,6]
        lancer = None
        if None:# A a gagné la partie qu'il lui manquait et il a gagné le jeu [8,6]
            return None
        else: # B a gagné la partie et il lui manque 1 victoire et 1 pour A [7,7]
            lancer = None
            if None:# A a gagné la partie qu'il lui manquait et il a gagné le jeu [8,7]
                return None
            else:# B a gagné la partie et il a gagné le jeu [7,8]
                return None

### simulation d'un grand nombre de jeux

def simulation_jeux(nb_jeux):
    """on simule un grand nombre de jeux pour connaitre la fréquence de victoire de chaque joueur"""
    victoires_A = 0 # compteur de victoires de A
    victoires_B = 0 # compteur de victoires de B
    for simu in range(nb_jeux): # boucle pour répéter la simulation
        jeu = None # appel de la fonction deroule_jeu
        if None: # si le jeu mène à une victoire de A
            victoires_A = None # le compteur de victoires de A augmente de 1
        else: # si le jeu mène à une victoire de B
            victoires_B = None # le compteur de victoires de B augmente de 1
    return (None, None) # renvoie la fréquence de victoires pour chaque joueur

# test des fonctions : dans la zone de script, appeler simulation_jeux(1_000_000)
